Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.system
Class UpdateDaemon

    java.lang.Object
      net.sf.jftp.system.UpdateDaemon

All Implemented Interfaces:
  java.lang.Runnable

    public class UpdateDaemon

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`UpdateDaemon(JFtp jftp)`

Method Summary
`void` | `run()`
`static void` | `updateCall()`
`static void` | `updateLocalDir()`
`static void` | `updateLog()`
`static void` | `updateRemoteDir()`
`static void` | `updateRemoteDirGUI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateDaemon

    public UpdateDaemon(JFtp jftp)

Method Detail

### updateRemoteDirGUI

    public static void updateRemoteDirGUI()

### updateRemoteDir

    public static void updateRemoteDir()

### updateLocalDir

    public static void updateLocalDir()

### updateLog

    public static void updateLog()

### updateCall

    public static void updateCall()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD